2020-10-27 04:27 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002197MeanMachine[All Projects] Generalpublic2015-12-26 01:51
ReporterMuzer 
Assigned ToStingRayProject InfoMean Machine (Code Masters/Optimus Software)
http://www.whdload.de/games/MeanMachine.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0002197: Hello, My copy of Mean Machine works fine in normal use (despite being called
DescriptionGameVersion: english,pal,1 disk
SlaveVersion: 1.2 from 29.06.2009

Hello,
My copy of Mean Machine works fine in normal use (despite being called "Mean Machines" on the disk - typo?). However, when I try to use WHDLoad, it gets to the static title screen, then crashes with the error:
Exception "Illegal Instruction" ($10) at $64 occured. It gives me the option to Quit, Restart (which produces the same error again) or Make CoreDump - I have done the latter but I don't know where the CoreDump is made - if you know, and it'll help in debugging, then I'll give it to you.
Here is the contents of my disk, zipped up (copied with normal Amiga file management functions): hbcapps.com/miight/crap/dump/fileYrtB8Z.zip ORIGINAL NAME: mean_machines.zip
If you need any more info, please let me know.
Thanks!
TagsNo tags attached.
MachineA1200
CPU68EC020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem4 MB
WorkbenchOS 3.1
KickROM39 - Kick 3.0
KickSoftNone
WHDLoad16.8
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0002434

Retroplay (reporter)

Last edited: 2015-12-26 01:51

View 2 revisions

I have the same problem and I have an A1200 with similar specs as Muzer.

Error dump here:
(link removed, slave v1.3 solved the problem)

note ~0004740

StingRay (developer)

Last edited: 2015-12-25 23:15

View 2 revisions

V1.2 was broken and only worked if trainer (CUSTOM1) was enabled, I have fixed this in v1.3, added some more trainer options and in-game keys, high-score load/save, 68000 quitkey support and some other things.

note ~0004741

Retroplay (reporter)

That did the trick, thanks Sting.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-29 18:52 administrator New Issue
2009-11-29 18:52 administrator Machine => A1200
2009-11-29 18:52 administrator CPU => 68EC020
2009-11-29 18:52 administrator CPUSpeed => 14
2009-11-29 18:52 administrator ChipSet => AGA
2009-11-29 18:52 administrator GFXCard => None
2009-11-29 18:52 administrator ChipMem => 2 MB
2009-11-29 18:52 administrator FastMem => 4 MB
2009-11-29 18:52 administrator Workbench => OS 3.1
2009-11-29 18:52 administrator KickROM => 39 - Kick 3.0
2009-11-29 18:52 administrator KickSoft => None
2009-11-29 18:52 administrator WHDLoad => 16.8
2009-11-29 18:52 administrator imported => yes
2011-07-18 17:25 Retroplay Note Added: 0002434
2011-12-01 08:57 StingRay Assigned To => Bored Seal
2011-12-01 08:57 StingRay Status new => assigned
2015-12-25 23:15 StingRay Note Added: 0004740
2015-12-25 23:15 StingRay Status assigned => resolved
2015-12-25 23:15 StingRay Resolution open => fixed
2015-12-25 23:15 StingRay Assigned To Bored Seal => StingRay
2015-12-25 23:15 StingRay Note Edited: 0004740 View Revisions
2015-12-26 01:51 Retroplay Note Added: 0004741
2015-12-26 01:51 Retroplay Note Edited: 0002434 View Revisions
+Issue History